Bug 107693 - [WK2][EFL] Remove unneeded private methods
Summary: [WK2][EFL] Remove unneeded private methods
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Kenneth Rohde Christiansen
URL:
Keywords:
Depends on:
Blocks: 107657
  Show dependency treegraph
 
Reported: 2013-01-23 07:48 PST by Kenneth Rohde Christiansen
Modified: 2013-01-28 02:29 PST (History)
8 users (show)

See Also:


Attachments
Patch (4.03 KB, patch)
2013-01-23 07:49 PST, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff
Patch (3.37 KB, patch)
2013-01-24 02:57 PST, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff
Patch (3.90 KB, patch)
2013-01-28 02:04 PST, Kenneth Rohde Christiansen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Rohde Christiansen 2013-01-23 07:48:05 PST
Remove two unneeded private methods in EwkViewImpl as we are trying to slim the class somewhat and later split it up.
Comment 1 Kenneth Rohde Christiansen 2013-01-23 07:49:53 PST
Created attachment 184234 [details]
Patch
Comment 2 Mikhail Pozdnyakov 2013-01-23 10:28:01 PST
Comment on attachment 184234 [details]
Patch

looks nice.
Comment 3 Mikhail Pozdnyakov 2013-01-23 10:29:49 PST
Comment on attachment 184234 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=184234&action=review

> Source/WebKit2/ChangeLog:3
> +        [WK][EFL] Remove unneeded private methods

[WK2] ?
Comment 4 Benjamin Poulain 2013-01-23 14:54:22 PST
Comment on attachment 184234 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=184234&action=review

> Source/WebKit2/UIProcess/API/efl/EwkViewImpl.cpp:380
> +    if (m_pendingSurfaceResize || !m_evasGLSurface) {

The way the state is handled before coming here is madness.

I am not sure you even need "|| !m_evasGLSurface". I think some clarifying of the state would be beneficial.
Comment 5 Kenneth Rohde Christiansen 2013-01-24 02:57:02 PST
Created attachment 184452 [details]
Patch
Comment 6 Kalyan 2013-01-24 02:59:01 PST
LGTM.
Comment 7 Benjamin Poulain 2013-01-24 14:12:14 PST
Comment on attachment 184452 [details]
Patch

This needs a rebase after r140686.
Comment 8 Kenneth Rohde Christiansen 2013-01-28 02:04:54 PST
Created attachment 184957 [details]
Patch
Comment 9 Andreas Kling 2013-01-28 02:17:11 PST
Comment on attachment 184957 [details]
Patch

rs=me
Comment 10 WebKit Review Bot 2013-01-28 02:29:17 PST
Comment on attachment 184957 [details]
Patch

Clearing flags on attachment: 184957

Committed r140961: <http://trac.webkit.org/changeset/140961>
Comment 11 WebKit Review Bot 2013-01-28 02:29:22 PST
All reviewed patches have been landed.  Closing bug.